#{extends 'borderNG.html' /}
#{set 'titleHead'} Manajemen Sesi Pelatihan #{/set}

#{set 'titleHead'}
&{'utility.manaj_email'}
#{/set}
<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'utility.home'}</a></li>
	<li class="active">&{'utility.sesi_pelatihan'}</li>
</ul>
<div class="alert alert-info">
    &{'utility.desc_pelatihan'}
</div>
<div class="content">
<table class="table table-sm" id="tblSesi">
    <thead>
    <tr>
    <th>#</th>
        <th>&{'utility.nama_ssi'}</th>
        <th>&{'utility.aktif'}</th>
    </tr>
    </thead>
    <tbody>
 	#{list list, as:'sesi'}
    <tr>
        <input type="hidden" name="list[${sesi_index-1}].id" value="${sesi.id}" />
   	    #{if sesi_index==1}
            <td><i class="fa fa-check"></i> <input type="hidden" name="list[${sesi_index-1}].isActive" value="${sesi.isActive}" /></td>
            <td>${sesi?.nama} <input type="hidden" name="list[${sesi_index-1}].nama" value="${sesi.nama}" /></td>
            #{/if}
        #{else}
            <td>#{if sesi.isActive} <i class="fa fa-check"></i> #{/if}</td>
            <td><a href="javascript:void(0)" class="sesi" id="${sesi?.id}" title="${sesi.nama}" active="${sesi.isActive ? 'true':'false'}">${sesi?.nama}</a></td>
        #{/else}
    </tr>
    #{/list}
    </tbody>
</table>
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    $('#tblSesi').DataTable({
        processing: false, serverSide: false, ordering: false
    });
    $(document).on('click','.sesi', function(){
		var id = $(this).attr("id");
		var nama = $(this).attr("title");
		var active = $(this).attr("active") == 'true' ? 'checked':'';
	    var content ='<form id="form-sesi" action="${simpanUrl}" method="post" enctype="multipart/form-data">'+
					'<input type="hidden" name="authenticityToken" value="${session.getAuthenticityToken()}">'+
					'<input type="hidden" name="sesi.id" value="'+id+'" >'+
					'<div class="form-group"><label>Nama Sesi</label><input type="text" class="form-control" name="sesi.nama" value="'+nama+'"></div>'+
					'<div class="form-check"><input class="form-check-input" name="sesi.isActive" type="checkbox" '+active+'><label class="form-check-label">Aktif</label></div>'+
					'</form>';
		BootstrapDialog.show({
			draggable: true,
			title:'Sesi Pelatihan '+id,
			message:content,
			buttons: [{
				cssClass : 'btn-success',
                label: 'Simpan',
                action: function(dialog) {
					 $('#form-sesi').submit();
                }
            }, {
                label: 'Batal',
                action: function(dialog) {
                    dialog.close();
                }
            }]
		});
    });
</script>
#{/set}